API ReferenceWebhooks
List delivery attempts for a webhook, most recent first
Authorization
api-key X-API-Key<token>
In: header
Path Parameters
id*string
Webhook UUID
Query Parameters
page?number
limit?number
status?string
Value in
- "success"
- "failed"
eventType?string
since?string
ISO 8601 timestamp
Response Body
application/json
curl -X GET "https://example.com/api/v1/webhooks/string/deliveries"{ "data": { "data": [ { "id": "550e8400-e29b-41d4-a716-446655440000", "eventType": "contact.created", "payload": { "contactId": "550e8400-e29b-41d4-a716-446655440000", "email": "[email protected]" }, "responseStatus": 200, "responseBody": "{\"received\":true}", "requestHeaders": { "content-type": "application/json", "x-peleka-signature": "t=1735689600,v1=..." }, "responseHeaders": { "content-type": "application/json" }, "responseTimeMs": 142, "attemptCount": 1, "deliveredAt": "2026-01-01T00:00:00.000Z", "attemptedAt": "2026-01-01T00:00:00.000Z" } ], "total": 1, "page": 1, "limit": 20, "totalPages": 1 }}